%define name mlterm
%define version 2.3.1
%define release 1mdk
%define prefix /usr
%define bindir /usr/X11R6/bin
%define libdir /usr/lib
%define mandir %{_mandir}
%define sysconfdir /etc/X11
%define libexecdir /usr/libexec/mlterm
%define pixmapdir  /usr/share/pixmaps

Summary:     Multi Lingual TERMinal emulator for X
Name:	     %{name}
Version:     %{version}
Release:     %{release}
License:     Modified BSD-style license
Group:	     Terminals
URL:         http://mlterm.sourceforge.net/
Source0:     http://prdownloads.sourceforge.net/mlterm/mlterm-%{version}.tar.bz2
Requires:    imlib, gtk+
BuildRoot:   %_tmppath/%name-%version-%release-root
BuildPreReq: imlib-devel, gtk+-devel

%description
mlterm is a multi-lingual terminal emulator written from
scratch, which supports various character sets and encodings
in the world.  It also supports various unique feature such as
anti-alias using FreeType, multiple windows, scrollbar API,
scroll by mouse wheel, automatic selection of encoding,
and so on. Multiple xims are also supported. 
You can dynamically change various xims.

%prep
%setup
rm -rf doc/{en,ja}/CVS

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
            --bindir=%{bindir} \
	    --libdir=%{libdir} \
	    --mandir=%{mandir} \
            --libexecdir=%{libexecdir} \
	    --sysconfdir=%{sysconfdir}\
	    --enable-imlib # --enable-anti-alias
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{pixmapdir}
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/doc/icon/mlterm* \
               $RPM_BUILD_ROOT%{pixmapdir}

# install menu entry.
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << "EOF" > $RPM_BUILD_ROOT%{_menudir}/mlterm
?package(mlterm):\
  needs="X11"\
  section="Terminals"\
  title="mlterm"\
  longtitle="A multi-lingual terminal emulator"\
  command="/usr/X11R6/bin/mlterm" \
  icon="mlterm.xpm"
EOF

#install icons.
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}/{large,mini}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/doc/icon/mlterm_16x16.xpm \
			  $RPM_BUILD_ROOT/%{_miconsdir}/mlterm.xpm
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/doc/icon/mlterm_32x32.xpm \
	 		  $RPM_BUILD_ROOT/%{_iconsdir}/mlterm.xpm
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/doc/icon/mlterm_48x48.xpm \
	 		  $RPM_BUILD_ROOT/%{_liconsdir}/mlterm.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
/sbin/ldconfig

%postun
%{update_menus}
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog LICENCE README doc/{en,ja}
%{bindir}/mlterm
%{bindir}/mlclient
%{libdir}/libkik.*
%{libdir}/libmkf.*
%{libdir}/mlterm/
%{libexecdir}/
%config(noreplace) %{sysconfdir}/mlterm/
%{mandir}/man1/mlterm.1*
%{pixmapdir}/mlterm*

%{_menudir}/mlterm
%{_iconsdir}/mlterm.xpm
%{_liconsdir}/mlterm.xpm
%{_miconsdir}/mlterm.xpm

%changelog
* Sun Mar 24 2002 DU Xiaoming <dxiaoming@mandrakesoft.com> 2.3.1-1mdk
- First version for Linux-Mandrake.
